package handler

import (
	"cicv-data-closedloop/amd64/report-server/entity"
	commonEntity "cicv-data-closedloop/common/entity"
	"cicv-data-closedloop/common/util"
	"github.com/gin-gonic/gin"
	"net/http"
)

type testStruct struct {
	Id   int    `db:"id"`
	Name string `db:"name"`
}

// Page 分页查询
func Page(c *gin.Context) {
	//// 获取请求参数
	//param := c.Query("param")
	//c_log.GlobalLogger.Info("接受到请求参数：", param)
	//var tests []testStruct
	//// 查询数据库
	//var testSql string
	//if err := c_db.MysqlDb.Select(&tests, testSql); err != nil {
	//	c_log.GlobalLogger.Error("数据库查询报错：", err)
	//	c.JSON(http.StatusInternalServerError, entity.DefaultFailHttpResult)
	//	return
	//}
	//c_log.GlobalLogger.Info("数据库查询成功：", tests)
	var result []entity.Record
	for i := 0; i < 100; i++ {
		result = append(result, entity.Record{
			Team:         "test" + util.NewShortUUID(),
			Topic:        "team" + util.NewShortUUID(),
			ScoreOnline:  100.0,
			ScoreOffline: 100.0,
			ScoreFinal:   100.0,
			Details:      "sdlkfjsaljfldsakjfkls",
		})
	}

	c.JSON(http.StatusOK, commonEntity.Response{
		Code: 200,
		Msg:  "分页查询成功。",
		Data: result,
	})
}
